Subject: [mpls] Clarification request on PW types (Manual, 128 FEC, 129 FEC) usage for MPLS-TP

From: venkatesan mahalingam <[email-masked]>
Date: Thu, 26 Aug 2010 14:51:02 +0530

Hi,
As per MPLS-TP identifiers-2 draft, Section 6.  Pseudowire Path Identifiers,
draft mentions that the 129 FEC AII Type-2 fits the requirement of MPLS-TP.

Can we say that other types of PWs (128 FEC, 129 FEC AII Type-1, manual) are
not applicable for MPLS-TP networks?
**
It looks to me that 129 FEC is always used in signalling for label
distribution using LDP/BGP.
**
Can we use 129 FEC AII type-2 for static/signalling?
draft-ietf-mpls-tp-on-demand-cv-00 draft, section 2.4.2.  Static Pseudowire
Sub-TLV
mentions that the 129 FEC AII type-2 can be static PW, Can somebody explain
the configurations expected in RFC-5601 MIB to achieve this static 129 FEC
AII Type-2, Can you please let me know the reason for not having the AGI in
the Static PW Sub-TLV.

What sort of changes update the RFC-5601?

What is the pwOwner expected for PW created for MPLS-TP networks?

Example,
For manual PW (by configuring the labels manually) - pwOwner should have the
value *manual*.
For 128 FEC PW (signalling) - pwOwner should have the *pwIdFecSignaling*.
For 129 FEC PW (signalling) - pwOwner should have the value *genFecSignaling
*.

  pwOwner OBJECT-TYPE
     SYNTAX   INTEGER {
            manual                (1),
            pwIdFecSignaling      (2), -- PW signaling with PW ID FEC
            genFecSignaling       (3), -- Generalized attachment FEC
            l2tpControlProtocol   (4),
            other                 (5)
                      }
     MAX-ACCESS    read-create
     STATUS        current
     DESCRIPTION
          "This object is set by the operator to indicate the protocol
           responsible for establishing this PW.
           'manual' is used in all cases where no maintenance
           protocol (PW signaling) is used to set up the PW, i.e.,
           configuration of entries in the PW tables including
           PW labels, etc., is done by setting the MIB fields manually.
           'pwIdFecSignaling' is used in case of signaling with the
           Pwid FEC element with LDP signaling.
           'genFecSignaling' is used in case of LDP signaling with
           the generalized FEC.
           'l2tpControlProtocol' indicates the use of the L2TP
           control protocol.
           'other' is used for other types of signaling."
     ::= { pwEntry 3 }

-- 
Best Regards,
Venkatesan Mahalingam.

---

From: venkatesan mahalingam <[email-masked]>
Date: Wed, 1 Sep 2010 01:25:44 +0530

Hi,
Could you please reply to this clarification request?

BR,
Venkat.

On Thu, Aug 26, 2010 at 2:51 PM, venkatesan mahalingam <[email-masked]
> wrote:

> Hi,
> As per MPLS-TP identifiers-2 draft, Section 6.  Pseudowire Path
> Identifiers, draft mentions that the 129 FEC AII Type-2 fits the
> requirement of MPLS-TP.
>
> Can we say that other types of PWs (128 FEC, 129 FEC AII Type-1,
> manual) are not applicable for MPLS-TP networks?
> **
> draft-ietf-mpls-tp-on-demand-cv-00 draft, section 2.4.2.  Static
> Pseudowire Sub-TLV
> For manual PW (by configuring the labels manually) - pwOwner should have
> the value *manual*.
> For 129 FEC PW (signalling) - pwOwner should have the value *
> genFecSignaling*.
>
>   pwOwner OBJECT-TYPE
>      SYNTAX   INTEGER {
>             manual                (1),

-- 
Best Regards,
Venkatesan Mahalingam.